<?php

class Bowob_AdminSettingsController extends Core_Controller_Action_Admin
{
  public function indexAction()
  {
    $settings = Engine_Api::_()->getApi('settings', 'core');
    $form     = $this->view->form = new Bowob_Form_Admin_Settings();

    $form->bowob_app_id->setValue($settings->getSetting('bowob_app_id'));
    $form->bowob_server_address->setValue($settings->getSetting('bowob_server_address'));

    if ( $this->getRequest()->isPost() && $form->isValid($this->getRequest()->getPost()) ) {
      $values = $form->getValues();
      $settings->setSetting('bowob_app_id', $values['bowob_app_id']);
      $settings->setSetting('bowob_server_address', $values['bowob_server_address']);
      $form->addNotice('Settings saved');
    }
  }
}
